<?php
include('prepend.php');
if($admin->aCats){
	foreach($admin->aCats as $k => $v){
		$acat[$k] = $v['name'];
	}
	$cat_all['Catgories'] = $acat;
}

$cat_all['Emplacements spcifiques']['home'] = 'Page d\'accueil';
$cat_all['Emplacements spcifiques']['draft'] = 'Brouillons';

### Edition ###
if (!empty($_POST)) {
	$msg = $admin->contentEdit($_POST['file'], $_POST);
	header('Location: articles.php?p='.$_POST['file'].'&msg='.$msg.'');
}

if (!empty($_GET['p'])){
	$file = $admin->con->query('/'.$_GET['p'].'.([0-9]{3}|home|draft)(.[a-z0-9-]*)*.xml$/','sort',0,1);
	$result = $admin->parseArticle(PLX_DOC.$admin->config['racine_xml'].$file['0']);
	$title = html_entity_decode($result['title']);
	$author = $result['author'];
	$cat = $result['cat_num'];
	$date = date::heureIso2Admin($result['date']);
	$chapo = $result['chapo'];
	$content =  $result['content'];
	$file_num = $result['file_num'];
	$art_num = $result['art_name'];
	$cat_num = $result['cat_num'];
	$allow_com = $result['allow_com'];
	$title_page = "Modification d'un article";
}else{
	$title = $cat = $chapo = $cat_num = $art_num = NULL;
	$author = $_SESSION['author'];
	$date = array ('year' => date('Y'),'month' => date('m'),'day' => date('d'),'time' => date('H:i:s'));
	$content = '<p></p>';
	$file_num = $admin->nextId();
	$title_page = "Nouvel article";
	$allow_com = $admin->config['allow_com'];
	}

include('top.php');
?>

<h2><?php echo $title_page; ?></h2>
<?php if($admin->config['admin_prev']){
	echo '<blockquote id="preview"><h3>'.$title.'</h3>'.trim($content).'</blockquote>';
	} ?>
<form action="articles.php?p=<?php echo $file_num; ?>" method="post" id="change-content">
	<fieldset>

		<p class="field">
			<label>Titre&nbsp;:</label>
			<?php printInput('titre', $title);?> par <strong><?php echo $author;?></strong>
		</p>

		<p class="field">
			<label>Emplacement&nbsp;:</label>
			<?php printSelect('cat_num', $cat_all, $cat);?>
		</p>

		<p class="field"><label>Chap (facultatif)&nbsp;:</label></p>
		<?php printArea('chapo', htmlentities(trim($chapo)), 60, 4);?>

		<p class="field"><label>Contenu&nbsp;:</label></p>
		<?php printArea('contenu', htmlentities(trim($content)), 60, 20);?>

		<?php printInput('file', $file_num, 'hidden');?>
		<?php printInput('old_cat', $cat_num, 'hidden');?>

		<p class="field"><label>Date&nbsp;:</label></p>
			<?php printInput('day', $date['day'], 'text', '2-2');?>
			<?php printInput('month', $date['month'], 'text', '2-2');?>
			<?php printInput('year', $date['year'], 'text', '4-4');?>
			<?php printInput('time', $date['time'], 'text', '8-8');?>
			<a href="#" onclick="dateNow(); return false;">maintenant</a>

		<p class="field">
			<label>Url (se remplit automatiquement  la cration)&nbsp;:</label></p>
			<?php printInput('url', $art_num);?>

		<p class="field">
			<label>Autoriser les commentaires&nbsp;:</label></p>
			<?php printSelect('allow_com', array('1'=>'Oui','0'=>'Non'), $allow_com);?>

		<p><input type="submit" value="Enregistrer" accesskey="s"/></p>

	</fieldset>
</form>

<?php
include('foot.php');
?>
