<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

include('prepend.php');
if(!empty($_GET['del'])){
	$msg = $admin->delArticle($_GET['del']);
	header('Location: index.php?&msg='.urlencode($msg).'');
}
include('top.php');
?>

<h2>Liste des articles</h2>

<?php
$admin->getMode('admin','/^[0-9]{4}.([0-9]{3}|home|draft)(.[a-z0-9-]*)*.xml$/', $admin->config['bypage_admin']);

if($admin->aFiles){

	$admin->pagination();
	$admin->getFiles();
	$admin->getArticles();
	$admin->aCats['home']['name'] = "Page d'accueil";
	$admin->aCats['draft']['name'] = "Brouillons";

	echo '<ul id="l-billet">';
	while($admin->result->loop()) {
		if(!isset($admin->aCats[$admin->result->f('cat_num')])){
			$cat_name = '<span class="no-exist-cat">La catgorie numro '.$admin->result->f('cat_num').' n\'existe plus</span>';
		}else{
			$cat_name = $admin->aCats[$admin->result->f('cat_num')]['name'];
		}
		echo "<li><strong><a href=\"articles.php?p=".$admin->result->f('file_num')."\">".$admin->result->f('title')."</a></strong>
			| <a href=\"commentaires.php?p=".$admin->result->f('file_num')."\">".$admin->result->f('nb_com')." commentaire(s)</a><br />
			Dans \"".$cat_name."\" | ".nodir($admin->result->f('filename'))." |
			<a href=\"?del=".$admin->result->f('file_num')."\" onclick=\"Check = confirm('Supprimer cet article ?'); if(Check == false) return false;\" class=\"delete\">Suppr.</a></li>\n";
	}
	echo '</ul>';

	echo '<p>';
	if($admin->page != 1){
		$pre_page = $admin->page-1;
		echo '<a href="?index.php?page'.$pre_page.'">&lt; Page prcdente</a> | ';
	}
	echo 'page '.$admin->page.' sur '.ceil(count($admin->aFiles)/$admin->bypage);
	if(count($admin->aFiles)/$admin->bypage > $admin->page){
		$next_page = $admin->page+1;
		echo ' | <a href="?index.php?page'.$next_page.'">Page suivante &gt;</a>';
	}
	echo '</p>';

}else{
	showMsg('Aucun article');
}

include('foot.php');
?>
