<?php
include('prepend.php');

### Configuration  ###
if (!empty($_POST)) {
	$msg = $admin->editConfiguration($_POST);
	header('Location: parametres.php?&msg='.urlencode($msg));
}

$tpl = new myglob(PLX_DOC.'templates', true);
$a_style = $tpl->query('/(.*)/');
foreach($a_style as $key => $values){
	$b_style[$values] = $values;
}


for($i=-12;$i < 14; $i++){
	$delta[formatRelatif($i,2).':00'] = formatRelatif($i,2).':00';
}

include('top.php');
?>

<h2>Edition des paramtres de Pluxml</h2>
<form action="parametres.php" method="post" id="change-cf-file">
	<fieldset class="withlabel">
		<legend>Configuration de base :</legend>	
		<p class="field"><label>Titre du site&nbsp;:</label></p>
		<?php printInput('title', $admin->config['title']);?>
		<p class="field"><label>Sous-titre/description du site&nbsp;:</label></p>
		<?php printInput('description', $admin->config['description']);?>
		<p class="field"><label>Racine du site (ex : http://pluxml.org/pluxml/)&nbsp;:</label></p>
		<?php printInput('racine', $admin->config['racine']);?>
		<p class="field"><label>Fuseau horaire&nbsp;:</label></p>
		<?php printSelect('delta', $delta, $admin->config['delta']);?>
		<p class="field"><label>Autoriser les commentaires&nbsp;:</label></p>
		<?php printSelect('allow_com',array('1'=>'Oui','0'=>'Non'), $admin->config['allow_com']);?>
	</fieldset>
	<fieldset class="withlabel">
		<legend>Options d'affichage :</legend>
		<p class="field"><label>Choix du thme&nbsp;:</label></p>
		<?php printSelect('style', $b_style, $admin->config['style']);?>
		<p class="field"><label>Nombre d'articles affichs par page&nbsp;:</label></p>
		<?php printInput('bypage', $admin->config['bypage'], 'text', '10-10');?>
		<p class="field"><label>Nombre d'articles affichs par page dans l'administration&nbsp;:</label></p>
		<?php printInput('bypage_admin', $admin->config['bypage_admin'], 'text', '10-10');?>
		<p class="field"><label>Nombre d'articles affichs sur le fils Rss/Atom&nbsp;:</label></p>
		<?php printInput('bypage_rss', $admin->config['bypage_rss'], 'text', '10-10');?>
		<p class="field"><label>Aperu dans l'administration &nbsp;:</label></p>
		<?php printSelect('admin_prev',array('1'=>'Oui','0'=>'Non'), $admin->config['admin_prev']);?>
	</fieldset>
	<fieldset class="withlabel">
		<legend>Configuration avance (utilisateur averti) :</legend>
		<p class="field"><label>Activer le capcha anti-spam (il est possible d'une modification de votre template soit ncessaire)&nbsp;:</label></p>
		<?php printSelect('capcha',array('1'=>'Oui','0'=>'Non'), $admin->config['capcha']);?>
		<p class="field"><label>Emplacement des images (dossier)&nbsp;:</label></p>
		<?php printInput('images', $admin->config['images']);?>
		<p class="field"><label>Emplacement des articles (dossier)&nbsp;:</label></p>
		<?php printInput('racine_xml', $admin->config['racine_xml']);?>
		<p class="field"><label>Emplacement des commentaires (dossier)&nbsp;:</label></p>
		<?php printInput('racine_xmlcom', $admin->config['racine_xmlcom']);?>
		<p class="field"><label>Emplacement du fichier de catgories (fichier xml)&nbsp;:</label></p>
		<?php printInput('categories', $admin->config['categories']);?>
		<p class="field"><label>Emplacement du fichier de mots de passe (fichier xml)&nbsp;:</label></p>
		<?php printInput('pwd', $admin->config['pwd']);?>
		
		<?php printInput('version', $admin->config['version'], 'hidden');?>
	</fieldset>
	<p><input type="submit" value="Modifier la configuration" /></p>
</form>

<h2>Informations relatives  Pluxml</h2>

<p>Ces informations vous renseignent sur le fonctionnement de votre Pluxml et peuvent s'avrer utiles pour son dpannage.</p>

<ul>
	<li><strong>Version : <?php echo $admin->config['version']; ?></strong></li>
	<li><?php test_write(PLX_CONF); ?></li>
	<li><?php test_write(PLX_DOC.$admin->config['categories']); ?></li>
	<li><?php test_write(PLX_DOC.$admin->config['pwd']); ?></li>
	<li><?php test_write(PLX_DOC.$admin->config['racine_xml']); ?></li>
	<li><?php test_write(PLX_DOC.$admin->config['racine_xmlcom']); ?></li>
	<li>Nombre de catgories : <?php echo count($admin->aCats); ?></li>
	<li>Nombre d'articles : <?php echo count($admin->aCats); ?></li>
	<li>Nom du rdacteur en session : <?php echo $_SESSION['author']; ?></li>
</ul>

<ul>
	<li>Version de php : <?php echo phpversion(); ?></li>
	<li>Etat des "magic quotes" : <?php echo get_magic_quotes_gpc(); ?></li>
</ul>




<?php
include('foot.php');
?>
