<?php

class myglob{

	var $dir;
	var $doc;
	var $onlyfilename;
	var $gbl_count;

	function myglob($dir, $doc=false, $onlyfilename=true){
	
		$this->dir = $dir;
		$this->doc = $doc;
		$this->onlyfilename = $onlyfilename;
		$this->gbl_count = false;
	}
	
	function search($motif){

		$dh = opendir($this->dir);

		if($this->onlyfilename){
			$dirname='';
		}else{
			$dirname = $this->dir;
		}
		
		while (false !== ($file = readdir($dh))){
			if($this->doc){
				if(is_dir($this->dir.'/'.$file) && !preg_match('/^(.|..)$/',$file)){
					if(preg_match($motif,$file,$capture)){
						$array[] = $dirname.$capture[0];
					}
				}
			}else{
				if(preg_match($motif,$file,$capture) && !is_dir($this->dir.'/'.$file)){
					$array[] = $dirname.$capture[0];
				}
			}
		}
		closedir($dh);
		if(isset($array)){
			return $array;
		}else{
			return false;
		}
	}
	
	function query($motif, $order='', $start='0', $limit=false){
	
		if($rs = $this->search($motif)){
			$this->gbl_count = count($rs);
			if($order == 'sort'){
				sort($rs);
			}elseif($order == 'rsort'){
				rsort($rs);
			}
			if($limit){
				$rs = array_slice($rs, $start, $limit);
			}			
			return $rs;
		}
		return false;
	}
}

?>
