<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

header('Content-Type: text/xml; charset=ISO-8859-1');

define('PLX_DOC', '');
define('PLX_CONF', 'conf/configuration.xml');

require_once PLX_DOC.'lib/class.pluxml.php';
require_once PLX_DOC.'lib/class.glob.php';
require_once PLX_DOC.'lib/class.recordset.php';
require_once PLX_DOC.'lib/lib.util.php';
require_once PLX_DOC.'lib/functions.php';


$pluxml = new pluxml(PLX_CONF);
$pluxml->getMode('syndic', '/^[0-9]{4}.([0-9]{3}|home)(.[a-z0-9-]*)*.xml$/', $pluxml->config['bypage_rss']);

if($pluxml->aCats && $pluxml->aFiles){
	$pluxml->getUsedCategories();
	$pluxml->pagination();
	$pluxml->getFiles();
	$pluxml->getArticles();
}


echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';
?>

<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns="http://purl.org/rss/1.0/">

<channel rdf:about="<?php echo $pluxml->config['racine']; ?>">
	<title><?php __('maintitle'); ?> - <?php __('subtitle'); ?></title>
	<link><?php echo $pluxml->config['racine']; ?></link>
	<description><?php __('subtitle'); ?></description>
	<dc:language>fr</dc:language>
	
	<items>
		<rdf:Seq>

<?php while($pluxml->result->loop()){
	$num = $pluxml->result->f('file_num')+0;
	echo'<rdf:li rdf:resource="'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->result->f('art_name').'"/>';
}?>

	</rdf:Seq>
	</items>
</channel>

<?php $pluxml->a_index = -1;
while($pluxml->result->loop()){
	if ($pluxml->result->f('chapo') != ''){
		$content = $pluxml->result->f('chapo');
	}else{
		$content = $pluxml->result->f('content');
	}
	$num = $pluxml->result->f('file_num')+0;
  echo '
  <item rdf:about="'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->result->f('art_name').'">
	<title>'.$pluxml->result->f('title').'</title> 
	<link>'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->result->f('art_name').'</link> 
	<dc:date>'.$pluxml->result->f('date').'</dc:date>
	<dc:creator>'.$pluxml->result->f('author').'</dc:creator>
	<description><![CDATA['.strip_tags($content).']]></description> 
  </item>';
}?>
</rdf:RDF>
