<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of Pluxml.
# Copyright (c) 2006-2007 Skyline-arts.com. All rights reserved.
#
# Pluxml is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Pluxml is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# ***** END LICENSE BLOCK *****

# Configuration avance #
$designation = 'Pluxml-blog';
$version = 'beta 200701xx';
define('PLX_DOC', 'core/');
define('PLX_CONF', 'core/conf/configuration.xml');
define('PLX_XML', "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n");
# /configuration #

if(!file_exists(PLX_CONF)){
	header('Content-Type: text/plain');
	echo 'Pluxml n\'est pas configur'."\n";
	echo 'Executer le fichier install.php pour lancer l\'installation';
	exit;
}

# On inclut les librairies ncessaires
include(PLX_DOC.'lib/class.pluxml.php');
include(PLX_DOC.'lib/class.glob.php');
include(PLX_DOC.'lib/class.recordset.php');
include(PLX_DOC.'lib/class.capcha.php');
include(PLX_DOC.'lib/lib.util.php');
include(PLX_DOC.'lib/functions.php');

# Cration de l'objet principal
$pluxml = new pluxml(PLX_CONF);

 # Dfinition du motif en fonction du mode
$pluxml->getMode();

# Si on a des articles et des catgories on les traite
if($pluxml->aCats && $pluxml->aFiles){
	$pluxml->getUsedCategories();
	$pluxml->pagination();
	$pluxml->getFiles();
	$pluxml->getArticles();
	$capcha = new capcha();
}

if(!empty($_POST['message']) && $pluxml->config['allow_com'] == 1 && $pluxml->result->f('allow_com') == 1){
	$pluxml->newComment($_GET['article']);
	header('Location: index.php?'.$pluxml->get);
	exit;
}

if($pluxml->mode == 'article'){
	$pluxml->getComments();
}

# Insertion du template
include (PLX_DOC.'templates/'.$pluxml->style.'/template.php');
?>
