<?php
include('prepend.php');

### Catgorie - Edition/Cration ###
if (!empty($_POST)) {
	$msg = $admin->editCategories($_POST);
	header('Location: categories.php?&msg='.urlencode($msg).'');
}

include('top.php');
?>

<h2>Cration et dition de catgories</h2>
<form action="categories.php" method="post">
	<fieldset>
		<table>
			<tr>
				<td><strong>Identifiant</strong>&nbsp;:</td>
				<td><strong>Nom de la catgorie</strong>&nbsp;:</td>
				<td><strong>Url</strong>&nbsp;:</td>
				<td><strong>Ordre</strong>&nbsp;:</td>
			</tr>
		<?php
		if($admin->aCats){
			foreach($admin->aCats as $cat_num => $cat_info){	
				echo '<tr><td><p class="field"><label>Catgorie '.$cat_num.'</label></p></td><td>';		
				printInput($cat_num, $cat_info['name'], 'text', '30-50');
				echo '</td><td>';
				printInput($cat_num.'_url', $cat_info['url'], 'text', '30-50');
				echo '</td><td>';	
				printInput($cat_num.'_ord', $cat_info['ordre'], 'text', '3-3');
				echo '</td></tr>';
			}
			$a = array_keys($admin->aCats);
			rsort($a);
		}else{
			$a['0'] = 0;
		}?>
			<tr>
			<td>Nouvelle catgorie</td><td>
		<?php
		printInput(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT), '', 'text', '30-50');
		echo '</td><td></td><td>';
		printInput(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT).'_ord', @$cat_info['ordre']+1, 'text', '3-3');
		echo '</td></tr>';
		?>
		</table>

		<p><input type="submit" value="Modifier les catgories" /></p>
	</fieldset>
</form>

<div class="help">
	<h3>Ajouter une catgorie</h3>
	<p>Pour crer une nouvelle catgorie remplissez la ligne "nouvelle catgorie" en renseignant le nom de cette dernire. Le numro d'ordre est pr-rempli de faon  ajouter la nouvelle catgorie  la fin.</p>
	<h3>Supprimer une catgorie</h3>
	<p>Pour effacer une catgorie il suffit de vider le champ qui comporte son nom.</p>
	<h3>A propos de l'affichage</h3>
	<p>Une catgorie n'est affiche sur votre site que si elle comporte au moins un article.</p>
	<h3>A propos des urls</h3>
	<p>L'utilisation d'urls dites significatives (ex : 001/Photos) ncessite d'avoir un champ renseignant le nom d'url de chaque catgorie. Ce champ est automatiquement rempli  la cration mais ne l'est pas en cas de modification pour garder par dfaut une compatibilit des adresses.</p>
</div>

<?php
include('foot.php');
?>
