<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

header('Content-Type: text/xml; charset=ISO-8859-1');

define('PLX_DOC', '');
define('PLX_CONF', 'conf/configuration.xml');

require_once PLX_DOC.'lib/class.pluxml.php';
require_once PLX_DOC.'lib/class.glob.php';
require_once PLX_DOC.'lib/class.recordset.php';
require_once PLX_DOC.'lib/lib.util.php';
require_once PLX_DOC.'lib/functions.php';

$pluxml = new pluxml(PLX_CONF);
$pluxml->getMode('syndic', '/^[0-9]{4}.([0-9]{3}|home)(.[a-z0-9-]*)*.xml$/', $pluxml->config['bypage_rss']);

if($pluxml->aCats && $pluxml->aFiles){
	$pluxml->getUsedCategories();
	$pluxml->pagination();
	$pluxml->getFiles();
	$pluxml->getArticles();
}

echo '<?xml version="1.0" encoding="ISO-8859-1" ?>';?>

<feed xmlns="http://www.w3.org/2005/Atom">

	<title><?php __('maintitle'); ?> - <?php __('subtitle'); ?></title>
	<id><?php echo $pluxml->config['racine']; ?></id>
	<description><?php __('subtitle'); ?></description>
	<updated><?php echo $pluxml->a_article[0]['date']; ?></updated>


<?php while($pluxml->result->loop()){
	if ($pluxml->result->f('chapo') != ''){
		$content = $pluxml->result->f('chapo');
	}else{
		$content = $pluxml->result->f('content');
	}
	$num = $pluxml->result->f('file_num')+0;
  echo '
  <entry>
	<title>'.$pluxml->result->f('title').'</title> 
	<link href="'.$pluxml->config['racine'].'?'.$num.'-'.$pluxml->result->f('art_name').'" /> 
	<update>'.$pluxml->result->f('date').'</update>
	<summary><![CDATA['.strip_tags($content).']]></summary> 
  </entry>';
}?>

</feed>

