<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

# Classe Admin #
class admin extends pluxml{

	var $config; # Tableau de configuration
	var $racine; # Url de Pluxml
	var $aFiles; # Tableau de tous les fichiers
	var $next_id; # Numero du prochain article
	var $magic_quote; # Etat des 'magic_quote'
	var $get;

	var $aCats; # Tableau de toutes les catgories
	var $uCats; # Tableau des catgories utilises
	
	var $con;
	var $ccon;


	function admin($file_config){

		$this->get = getGets();
		$this->config = $this->getConfiguration($file_config);
		$this->aCats = $this->getCategories(PLX_DOC.$this->config['categories']);
		$this->racine = $this->config['racine'];
		$this->bypage =$this->config['bypage'];
		$this->style = $this->config['style'];
		
		$this->con = new myglob(PLX_DOC.$this->config['racine_xml']);
		$this->ccon = new myglob(PLX_DOC.$this->config['racine_xmlcom']);
		
		$this->aFiles = $this->con->query('/^[0-9]{4}.([0-9]{3}|home|draft)(.[a-z0-9-]*)*.xml$/');
	}


	function cleanUrl(){

		for($i=0;$i<sizeof($this->all_files);$i++){
			$url_explode = explode('/',$this->all_files[$i]);
			$this->all_files[$i] = $url_explode[count($url_explode)-1];
		}
	}


	function contentEdit($file, $data){

		# Traitement des magic_quote
		$data = unslash($data);
		if($data['url'] == ''){
			$data['url'] = title2url($data['titre']);
		}else{
			$data['url'] = title2url($data['url']);
			}

		if($data['old_cat'] != NULL){
			$motif = '/'.$file.'.([0-9]{3}|home|draft)(.[a-z0-9-]*)*.xml$/';
			$articles = $this->con->query($motif, 'rsort', 0, 1);
			$article = $this->parseArticle(PLX_DOC.$this->config['racine_xml'].$articles[0]);
			$author = $article['author'];
		}else{
			$author = $_SESSION['author'];
			}
			

		 # Vrification de l'intgrit de l'identifiant
		if(ereg("^[0-9]{4}$",$file)){
$xml = "<document>

	<infopost>
		<title>".htmlspecialchars ($data['titre'])."</title>
		<author>".$author."</author>
		<date>".$data['year'].'-'.$data['month'].'-'.$data['day'].'T'.$data['time'].$this->config['delta']."</date>
		<allow_com>".$data['allow_com']."</allow_com>
	</infopost>
	<chapo>
		".cdata($data['chapo'])."
	</chapo>
	<content>
		".cdata($data['contenu'])."
	</content>

</document>";

		$filename = PLX_DOC.$this->config['racine_xml'].$file.'.'.$data['cat_num'].'.'.$data['url'].'.xml';
		if($data['old_cat'] != NULL){ # Si c'est une dition
			$glob = $this->con->query('/'.$file.'.([0-9]{3}|home|draft)(.[a-z0-9-]*)*.xml$/', 'sort', 0, 1);
			unlink(PLX_DOC.$this->config['racine_xml'].$glob[0]);
			if(write(PLX_XML.$xml,$filename)){
				return 'Article modifi';
			}else{
				return 'Erreur lors de la cration de l\'article';
			}
		}else{
			if(write(PLX_XML.$xml,$filename)){
				return 'Article cr';
			}else{
				return 'Erreur lors de la cration de l\'article';
			}
		}

	}else{
		return 'Fichier non valide';
		}
	}


	function editCategories($content){


		$content = unslash($content);
		$xml = "<document>\n";

		foreach($content as $cat_num => $cat_name){
			if(is_numeric($cat_num) & $cat_name != ''){
				$cat_ord = $content[$cat_num.'_ord'];
				if(isset($content[$cat_num.'_url']) && $content[$cat_num.'_url'] != ''){
					$cat_url = cat2url($content[$cat_num.'_url']);
				}else{
					$cat_url = cat2url(htmlentities($cat_name));
				}
				$xml .= "\t<categorie number=\"".$cat_num."\" ordre=\"".$cat_ord."\" url=\"".$cat_url."\">".cdata(htmlentities($cat_name))."</categorie>\n";
			}
		}

		$xml .= "</document>";

		if(write(PLX_XML.$xml, PLX_DOC.$this->config['categories'])){
			return 'Catgories modifies';
		}else{
			return 'Erreur dans la modification du fichier '.PLX_DOC.$this->config['categories'];
		}
	}


	function editConfiguration($content){

		$content = unslash($content);

		$xml = "<document>\n";
		foreach($content as $k => $v){
			$xml .= "\t<parametre name=\"$k\">".$v."</parametre>\n";
		}
		$xml .= "</document>";

		if(write(PLX_XML.$xml, PLX_CONF)){
			return 'Configuration modifie';
		}else{
			return 'Erreur dans la modification du fichier '.PLX_CONF;
		}
	}


	function delArticle($file){
		if(preg_match('/^[0-9]{4}$/',$file)){
			$motif = '/'.$file.'.([0-9]{3}|home|draft)(.[a-z0-9-]*)*.xml$/';
			if($result = $this->con->query($motif)){
				unlink(PLX_DOC.$this->config['racine_xml'].'/'.$result['0']);
			}
			if($result = $this->ccon->query('/com.'.$file.'.xml$/')){
				unlink(PLX_DOC.$this->config['racine_xmlcom'].'/'.$result['0']);
			}
		}
		if(is_file(PLX_DOC.$this->config['racine_xml'].'/'.$result['0'])){
			return "L'article n'a pas pu tre supprim";
		}else{
			return 'Article supprim';
		}
	}


	function nextId(){

		if(!$this->aFiles){
			return '0001';
		}
		rsort($this->aFiles);
		return str_pad(fileInfo($this->aFiles['0'],'fileId')+1,4, "0", STR_PAD_LEFT);
	}

}

?>
