<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.

function __($type, $option=''){

	global $pluxml;

	switch ($type) {

		case 'pagetitle':
		   	if($pluxml->mode == 'home'){
				echo $pluxml->config['title'].' - '.$pluxml->config['description'];
			}
			if($pluxml->mode == 'article'){
				echo $pluxml->result->f('title').' - '.$pluxml->config['title'];
			}
			if($pluxml->mode == 'cat'){
			echo $pluxml->uCats[$pluxml->result->f('cat_num')]['name'].' - '.$pluxml->config['title'];
				}
		break;


		case 'maintitle':
			if($option == 'link'){
				echo '<a href="'.$pluxml->config['racine'].'">'.$pluxml->config['title'].'</a>';
			}else{
				echo $pluxml->config['title'];
			}
		break;


		case 'subtitle':
			echo $pluxml->config['description'];
		break;


		case 'title':
			if($option == 'link'){
				$num = $pluxml->result->f('file_num')+0;
				echo '<a href="?'.$num.'-'.$pluxml->result->f('art_name').'">'.$pluxml->result->f('title').'</a>';
			}else{
				echo $pluxml->result->f('title');
			}
		break;


		case 'author':
			echo $pluxml->result->f('author');
		break;


		case 'date':
			echo date::dateIso2Hum($pluxml->result->f('date'));
		break;


		case 'hour':
			echo date::heureIso2Hum($pluxml->result->f('date'));
		break;


		case 'categorie':
			if($pluxml->result->f('cat_num') != 'home'){
				echo '<a href="?'.$pluxml->result->f('cat_num').'/'.$pluxml->uCats[$pluxml->result->f('cat_num')]['url'].'">'.$pluxml->uCats[$pluxml->result->f('cat_num')]['name'].'</a>';
			}
		break;


		case 'chapo':
			if($pluxml->result->f('chapo') !== ''){
				$num = $pluxml->result->f('file_num')+0;
				echo $pluxml->result->f('chapo')."\n";
				echo '<p><a href="?'.$num.'-'.$pluxml->result->f('art_name').'">Lire : '.$pluxml->result->f('title').'</a></p>'."\n";
			}else{
				echo $pluxml->result->f('content')."\n";
			}
		break;


		case 'content':
			echo $pluxml->result->f('chapo')."\n";
			echo $pluxml->result->f('content')."\n";
		break;


		case 'catlist':
			echo '<ul>';
			if ($option != ''){
				echo '<li><a href="index.php">'.$option.'</a></li>';
			}
			if($pluxml->uCats){
			foreach($pluxml->uCats as $cat_num => $cat_info) {
				echo '<li><a href="?'.$cat_num.'/'.$cat_info['url'].'">'.$cat_info['name'].'</a></li>';
			}
			}
			echo "</ul>\n";
		break;


		case 'version':
			echo $pluxml->config['version'];
		break;


		case 'rss':
			echo '<a href="'.$pluxml->config['racine'].'core/rss.php">Fil Rss</a>';
		break;


		case 'atom':
			echo '<a href="'.$pluxml->config['racine'].'core/atom.php">Fil Atom</a>';
		break;


		case 'chrono':
			echo round(date::ext_microtime() - $pluxml->chr_start,3).'s';
		break;
		
		case 'template':
			echo PLX_DOC.'templates/'.$pluxml->style;
		break;

		case 'pagination':
		if($pluxml->mode != 'article' && $pluxml->motif != '/[0-9]{4}.home(.[a-z0-9-]*)*.xml$/'){
			$prev_page = $pluxml->page-1;
			$next_page = $pluxml->page+1;
			$last_page = ceil($pluxml->cat_file_count/$pluxml->bypage);
			if($pluxml->mode == 'home'){
				$p_url = '?page'.$prev_page;
				$n_url = '?page'.$next_page;
				$l_url = '?page'.$last_page;
				$f_url = '';
			}elseif($pluxml->mode == 'cat'){
				$get = explode('/',$pluxml->get);
				$p_url = '?'.$get[0].'/'.$get[1].'/page'.$prev_page;
				$n_url = '?'.$get[0].'/'.$get[1].'/page'.$next_page;
				$l_url = '?'.$get[0].'/'.$get[1].'/page'.$last_page;
				$f_url = '?'.$get[0].'/'.$get[1];
			}
			echo '<p id="pagination">';
			if($pluxml->page > 2){
				echo '<a href="'.$pluxml->racine.$f_url.'" title="Aller  la premire page">&lt;&lt;</a> | ';
			}
			if($pluxml->page > 1){
				echo '<a href="'.$pluxml->racine.$p_url.'">&lt; prcdente</a> | ';
			}
			echo 'page '.$pluxml->page.' sur '.$last_page;
			if($pluxml->page*$pluxml->bypage < $pluxml->cat_file_count) {
				echo ' | <a href="'.$pluxml->racine.$n_url.'">suivante &gt;</a>';
			}
			if($pluxml->page*$pluxml->bypage < $pluxml->cat_file_count && $pluxml->page*$pluxml->bypage+1 <$pluxml->cat_file_count){
				echo ' | <a href="'.$pluxml->racine.$l_url.'" title="Aller  la dernire page">&gt;&gt;</a>';
			}
			echo '</p>';
		}
		break;

		case 'com_author':
			if($option = 'link' && $pluxml->coms->f('site') != 'http://'){
				echo '<strong><a href="'.$pluxml->coms->f('site').'">'.$pluxml->coms->f('author').'</a></strong>';
			}else{
				echo '<strong>'.$pluxml->coms->f('author').'</strong>';
			}
		break;

		case 'com_date':
			echo date::dateIso2Hum($pluxml->coms->f('date'));
		break;

		case 'com_content':
			echo $pluxml->coms->f('content');
		break;

		case 'nb_com':
			if($pluxml->result->f('allow_com') == 0){
				return;
			}
			if($pluxml->result->f('nb_com') < 2){
				$nb = $pluxml->result->f('nb_com').' commentaire';
			}else{
				$nb = $pluxml->result->f('nb_com').' commentaires';
			}
			$num = $pluxml->result->f('file_num')+0;
			echo '<a href="?'.$num.'-'.$pluxml->result->f('art_name').'#comments">'.$nb.'</a>';
		break;
	}
}
?>
