<?php
# Copyright (c) 2006 Skyline-arts.com. All rights reserved.
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
	<title><?php __('pagetitle'); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" type="text/css" href="<?php __('template'); ?>/style.css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="Rss" href="core/rss.php" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="core/atom.php" />
</head>

<body>


<div id="top">
	<div id="header">
		<h1><?php __('maintitle', 'link'); ?></h1>
		<p><?php __('subtitle'); ?></p>
	</div>
	<div id="menu">
		<ul>
			<li><a href="index.php">Accueil</a></li>
		</ul>
		<div class="clearer"></div>
	</div>
</div>

<div id="page">

<?php # En mode 'home' ou 'catgorie' # ?>
	<?php if($pluxml->mode == 'home' || $pluxml->mode =='cat') : ?>
	<div id="content">
	
		<?php # Liste d'articles # ?>
		<?php while($pluxml->result->loop()):?>
		<div class="post">
			<p class="date"><?php __('date'); ?></p>
			<h2 class="articletitle"><?php __('title', 'link'); ?></h2>
			<p class="categorie">Catgorie : <?php __('categorie'); ?></p>
			<?php __('chapo'); ?>
			<p class="comment_nb"><?php __('nb_com'); ?></p>
		</div>
		<?php endwhile; ?>

		<?php __('pagination'); ?>

	</div>
	<?php endif; ?>
<?php # Fin mode 'home'/'catgorie' # ?>
	
	
<?php # En mode 'article' # ?>
		<?php if($pluxml->mode == 'article') : ?>
		<div id="content">
		
		<?php # Liste d'articles # ?>
		<?php while($pluxml->result->loop()):?>
			<div class="post">
				<h2 class="articletitle"><?php __('title'); ?></h2>
				<p class="post-info">Par <?php __('author'); ?>, le <?php __('date'); ?>  <?php __('hour'); ?> |  <?php __('categorie'); ?></p>
				<?php __('content'); ?>
			</div>
		<?php endwhile; ?>
		

		<?php if($pluxml->coms):?>	
		<div id="comments">
			<h2>Commentaires</h2>
		<?php while($pluxml->coms->loop()):?>
		<div class="comment <?php echo 'ligne'.$pluxml->coms->i%2 ?>">
			<p>Par <?php __('com_author', 'link'); ?> le <?php __('com_date'); ?></p>
			<blockquote><p><?php __('com_content'); ?></p></blockquote>
		</div>
		<?php endwhile; ?>
	</div>
		<?php endif; ?>
	
	<?php if($pluxml->config['allow_com'] == 1 && $pluxml->result->f('allow_com') == 1) : ?>
	<div id="form">
		<h2>Ecrire un commentaire</h2>
		<form action="index.php?<?php echo $pluxml->get; ?>" method="post">
			<fieldset>
				<label>Nom&nbsp;:</label>
				<input name="name" type="text" size="30" value="" /><br />
				<label>Site (facultatif)&nbsp;:</label>
				<input name="site" type="text" size="30" value="http://" /><br />
				<label>E-mail (facultatif)&nbsp;:</label>
				<input name="mail" type="text" size="30" value="" /><br />
				<label>Commentaire&nbsp;:</label>
				<textarea name="message" cols="35" rows="8"></textarea>
				
				<?php # affichage du capcha anti-spam
				if($pluxml->config['capcha'] == 1){
					echo '<label><strong>Vrification anti-spam</strong>&nbsp;:</label>';
					echo '<p>'.$capcha->q().'<input name="rep" type="text" size="10" /></p>';
					echo '<input name="rep2" type="hidden" value="'.$capcha->r().'" />';
				} ?>
				
				<p><input type="submit" value="Envoyer" /></p>
			</fieldset>
		</form>
	</div>
	<?php endif; ?>

		</div>
		<?php endif; ?>
<?php # Fin mode 'article' # ?>	

	<div id="sidebar">
		<div id="categories">
			<h2>Catgories</h2>
			<?php __('catlist'); ?>
		</div>
		<div id="syndication">
			<h2>Syndication</h2>
			<ul>
				<li><?php __('rss'); ?></li>
				<li><?php __('atom'); ?></li>
			</ul>
		</div>
	</div>
	
	<hr />

</div>

<div id="footer">
	<p>
		Gnr par <a href="http://pluxml.org" title="Blog ou Cms sans base de donnes">Pluxml</a> en <?php __('chrono'); ?> | 
		<a href="core/admin/">Administration</a> | 
		<a href="#top">Haut de page</a>
	</p>
</div>

</body>
</html>
